Subject: How to handle named resources with DT?

From: [email-masked] (Arnd Bergmann)
Date: Mon, 29 Aug 2011 19:18:53 +0200

On Sunday 28 August 2011, David Gibson wrote:
> > Right, and I guess we can simply ignore DMA and ioport resources because they
> > are extremely rare, right?
> 
> Well, remember it's where resources can appear in the DT node that
> matters, not what the types are in the platform device.  ioports will
> typically appear suitably encoded in 'reg', so that's covered.  I've
> never been very clear on what exactly DMA resources cover, but yeah,
> you might need something for dma-reg or other device tree properties.

DMA resources are only meaningful with the legacy ISA dma API, all
other uses are basically ad-hoc and I think we can ignore them or
replace them with proper bindings when converting the drivers to
device-tree based probing.

	Arnd